Update RSS Campaign
curl --request PUT \
--url https://api.aimtell.com/prod/rss-notification/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization-Api-Key: <api-key>' \
--data '
{
"status": 123,
"name": "<string>",
"feed_url": "<string>",
"title": "<string>",
"body": "<string>",
"link": "<string>",
"customIcon": "<string>",
"customImage": "<string>",
"segments": "<string>",
"max_enabled": 123,
"max_type": "<string>",
"max_value": 123,
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
},
"collapse_key": "<string>"
}
'import requests
url = "https://api.aimtell.com/prod/rss-notification/{id}"
payload = {
"status": 123,
"name": "<string>",
"feed_url": "<string>",
"title": "<string>",
"body": "<string>",
"link": "<string>",
"customIcon": "<string>",
"customImage": "<string>",
"segments": "<string>",
"max_enabled": 123,
"max_type": "<string>",
"max_value": 123,
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
},
"collapse_key": "<string>"
}
headers = {
"X-Authorization-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 123,
name: '<string>',
feed_url: '<string>',
title: '<string>',
body: JSON.stringify('<string>'),
link: '<string>',
customIcon: '<string>',
customImage: '<string>',
segments: '<string>',
max_enabled: 123,
max_type: '<string>',
max_value: 123,
actions: {
a01: {title: '<string>', link: '<string>'},
a02: {title: '<string>', link: '<string>'}
},
collapse_key: '<string>'
})
};
fetch('https://api.aimtell.com/prod/rss-notification/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success",
"campaignId": "128"
}{
"result": "error",
"message": "Error #136."
}{
"result": "error",
"message": "Please specify a valid auth_token."
}RSS Campaigns
Update RSS Campaign
Update a RSS Campaign
PUT
/
prod
/
rss-notification
/
{id}
Update RSS Campaign
Authorizations
Path Parameters
Campaign ID
Body
application/json
set 1 for draft, 2 for active
Name of Campaign
URL of RSS feed
Push Title
Push Body Message
Push Notification Link
url of custom icon to use (recommended size: 250x250)
url of custom image to use (recommended size: 300x500))
Segments — comma separated list with no spaces e.g. 12345,12346,12347
enable maximum number of sends — set 0 for false, 1 for true
hourly or daily
maximum number of sends e.g. 5 or 20
Show child attributes
Show child attributes
replace visible notifications on a subscribers device (e.g. breaking_news)
Response
200
⌘I

